'use strict';

var resolve = require('resolve');

var _require = require('../utils'),
    ifAnyDep = _require.ifAnyDep;

var resolveConfig = function resolveConfig(name) {
  return resolve.sync(`eslint-config-${name}`, { basedir: __dirname });
};

module.exports = {
  extends: [resolveConfig('kentcdodds'), resolveConfig('kentcdodds/jest'), ifAnyDep('react', resolveConfig('kentcdodds/jsx-a11y')), ifAnyDep('react', resolveConfig('kentcdodds/react')), resolveConfig('kentcdodds/prettier'), resolveConfig('prettier')].filter(Boolean),
  rules: {
    // stuff I haven't gotten around to updating in my config
    'no-unused-vars': ['error', { argsIgnorePattern: '^_', varsIgnorePattern: '^ignored' }],
    'func-style': 'off',
    'no-process-exit': 'off',
    'comma-dangle': 'off'
  }
};